<%namespace name="helpers" file="jm2l:templates/helpers.mako"/>
<%def name="Resume()">
        <table class="table table-striped table-bordered table-hover">
            <CAPTION>La feuille de route de mes interventions</CAPTION>
            <thead style="text-align:center">
                <tr>
                    <th>Section</th>
                    <th>Statut</th>
                </tr>                    
            </thead>
            <tbody>
                <tr>
                    <td>Conf&eacute;rences</td> <td style="text-align:center">
 					% if len( request.user.year_events('Conference') ):
	                    % for evt in request.user.year_events('Conference'):
	                   	% endfor
	                   		<a href="/MesJM2L/${evt.for_year}/Conference/${evt.slug}">${evt.name} à ${evt.start_time.strftime('%Hh%M')}</a>
                    % else:
                    	Aucune
                    % endif
                    </td>
                </tr>
                <tr>
                    <td>Stands</td> <td style="text-align:center">
 					% if len( request.user.year_events('Stand') ):
	                    % for evt in request.user.year_events('Stand'):
	                   		<a href="/MesJM2L/${evt.for_year}/Stand/${evt.slug}">${evt.name}</a>
	                   	% endfor
                    % else:
                    	Aucune
                    % endif
                    </td>
                </tr>
                <tr>
                    <td>Ateliers</td> <td style="text-align:center">
 					% if len( request.user.year_events('Atelier') ):
	                    % for evt in request.user.year_events('Atelier'):
	                   		<a href="/MesJM2L/${evt.for_year}/Atelier/${evt.slug}">${evt.name} à ${evt.start_time.strftime('%Hh%M')}</a>
	                   	% endfor
                    % else:
                    	Aucune
                    % endif
					</td>
                </tr>
                <tr>
                    <td>Tables Ronde</td> <td style="text-align:center">
 					% if len( request.user.year_events('Table ronde') ):
	                    % for evt in request.user.year_events('Table ronde'):
	                   		<a href="/MesJM2L/${evt.for_year}/Table_ronde/${evt.slug}">${evt.name} à ${evt.start_time.strftime('%Hh%M')}</a>
	                   	% endfor
                    % else:
                    	Aucune
                    % endif
                    </td>
                </tr>
                <tr>
                    <td>Organisation</td> <td style="text-align:left">
                    % if myorga.Sejour and myorga.Sejour.orga_part:
                    <ul>
                    	% for orga_task in myorga.ChoosedList():
                    	<li>${orga_task}</li>
                    	% endfor
                    </ul>
                    % else:
                    	<center>Aucune</center>
                    % endif
                    </td>
                </tr>
            </tbody>
        </table>
</%def>

<%def name="wrapper(Type)">

<%
if Type=='O':
    CurTitle  = u"ma participation"
    CurTitles = u"participations"
    CurEvent  = u"de participation"
    CurEventType = "Aucun"
    CurLink = "Ma_Participation"
elif Type=='C':
    CurTitle  = u"une conférence"
    CurTitles = u"conférences"
    CurEvent  = u"de conférence"
    CurEventType = "Conference"
    CurLink = "Ma_Conference"
elif Type=='S':
    CurTitle  = "un stand"
    CurTitles = "stands"
    CurEvent  = u"de stand"
    CurEventType = "Stand"
    CurLink = "Mon_Stand"
elif Type=='A':
    CurTitle  = "un atelier"
    CurTitles = u"ateliers"
    CurEvent  = u"d'atelier"
    CurEventType = "Atelier"
    CurLink = "Mon_Atelier"
elif Type=='T':
    CurTitle  = "une table ronde"
    CurTitles = u"tables ronde"
    CurEvent  = u"de table ronde"
    CurEventType = "Table ronde"
    CurLink = "Ma_Table_Ronde"    
%>
% if Type!='O':
    <fieldset> 
        <legend class="lowshadow">Vos ${CurTitles} programm&eacute;s pour ${CurrentYear}</legend>
<% 
Selection = filter(lambda x:(x.event_type==CurEventType and x.for_year==CurrentYear), uprofil.events)
HeadHistTitle = u"L'historique de vos %s ( %d ) " % ( CurTitles, len(Selection) )
NothingTitle = u"Vous n'avez pas sollicit&eacute; d'intervention %s." % CurEvent
%>
    ${helpers.show_Interventions(Selection, "Sujet", NothingTitle )}
    </fieldset>
% endif

% if Type=='C':
<p>
    <strong>Proposer une conf&eacute;rence / un lighting talk</strong><br/>
    <ul>
    <li>Si vous avez une exp&eacute;rience particulière avec les logiciels libres
    que vous souhaitez partager.</li>
    <li>Si vous êtes acteur d’un des sujets actuels qui menacent ou qui 
    promeuvent le logiciel libre.</li>
    <li>Si vous voulez pr&eacute;senter un logiciel libre dont vous êtes l’auteur.</li>
    </ul>
    Nous serons heureux de vous &eacute;couter.
    <br>
    Nous souhaitons proposer des conf&eacute;rences pour un public d&eacute;butant
    autant que pour des visiteurs avertis. Les sujets ne doivent pas 
    forc&eacute;ment être techniques, mais aussi d’ordre g&eacute;n&eacute;ral avec la seule
    contrainte de traiter de près ou de loin des logiciels libres, de la 
    communaut&eacute; ou de vos propres exp&eacute;riences d’utilisateur quotidien. <br>
    Le but de ces conf&eacute;rences est double :
    <ul>
        <li>donner confiance aux futurs utilisateurs de logiciels libres</li> 
        <li>donner matière à r&eacute;flexion aux auditrices et aux auditeurs exp&eacute;riment&eacute;s.</li>
    </ul>
    Les conf&eacute;rences ont un format d&eacute;fini de 5, 20, 50 ou 70 minutes,
    modulable à loisir entre pr&eacute;sentation et questions. Vous aideriez l'&eacute;quipe
    d'organisation en essayant au maximum de ne pas d&eacute;passer la dur&eacute;e que vous r&eacute;servez.
    Dans tous les cas, 5 minutes suppl&eacute;mentaires vous sont attribu&eacute;es pour
    la mise en place de votre conf&eacute;rence.
</p>
% elif Type=='A':
<p>
    <strong>Proposer un atelier</strong><br/>

    Si vous avez un savoir faire particulier dans l’utilisation d’un 
    logiciel libre et que vous souhaitez le partager, ou si vous vous 
    sentez l’âme d’un instructeur capable de passer les bases de 
    l’utilisation de Linux et des logiciels libres standards pour 
    une utilisation familiale : soyez les bienvenus.

    Les ateliers sont organis&eacute;s dans des salles &eacute;quip&eacute;es en mat&eacute;riel
    informatique et en vid&eacute;o-projecteur. Afin de ne pas perdre de temps,
    nous avons besoin de connaître les logiciels et installations 
    sp&eacute;ciales à pr&eacute;parer avant la session de l’atelier.
</p>
% endif

% if Type=='O':
    <form id="OrgaForm" action="/MonOrga" method="POST">

    <fieldset> 
        <legend>Participer à l'organisation</legend>
        <strong>Une autre façon de participer !</strong>
        <p>        
        Comme vous vous en doutez, la meilleure organisation qui existe,
        c'est celle où chacun apporte sa contribution.
        </p>
        <p>
        Dans ce genre d'&eacute;vènement nous avons besoin de bras et de bonnes volont&eacute;s.
        Vous pouvez nous aider en vous inscrivant en tant que "b&eacute;n&eacute;vole du jour" sur un
        certains nombre de missions :
        </p>
        <p>
        Et oui, il existe plein de façon de participer aux JM2L, choisissez :
        </p>
        <ul>
        % for num, item in enumerate(myorga.Orga_tasks):
            <li>
                <label class="checkbox">
                    <input id="O${num}" ${myorga.IsChecked(num)|n} name="O${num}" type="checkbox"> ${item}
                </label>
            </li>
        % endfor
        </ul>
        <p>
		Avant l'&eacute;vènement, et en fonction des cases coch&eacute;s, les coordinateurs metterons à jour le planning et vous receverez les instructions par mail.
        </p>
        
        <div class="span2 offset5">
            <input class="btn btn-primary" type="submit" value="Enregistrer !" />
        </div>
    </fieldset>
    </form>
% endif
        
% if Type!='O':
    <a href="/MesJM2L/${CurrentYear}/${CurEventType.replace(' ','_')}">Je souhaite ajouter ${CurTitle} pour les JM2L ${CurrentYear} !</a>

    <fieldset> 
        <legend class="lowshadow">Historique</legend>
<% 
Selection = filter(lambda x:(x.event_type==CurEventType and x.for_year!=CurrentYear), uprofil.events)
HeadHistTitle = u"L'historique de vos %s ( %d ) " % ( CurTitles, len(Selection) )
NothingTitle = u"D&eacute;sol&eacute;, Il n'y a rien dans l'historique vous concernant."
%>
    ${helpers.show_Interventions(Selection, HeadHistTitle, NothingTitle )}
    </fieldset>
% endif
</%def>
