## -*- coding: utf-8 -*-
<%inherit file="jm2l:templates/layout.mako"/>
<%def name="jsAddOn_head()">
    <script src="/vendor/leaflet/js/leaflet.js"></script>
    <script src="/vendor/leaflet/js/leaflet-routing-machine.min.js"></script>
</%def>
<%def name="cssAddOn()">
  <link rel="stylesheet" href="/vendor/leaflet/css/leaflet.css" />
  <style>
    #come_map {
        height: 400px;
    }
    div.circle_place {
        background-color: #8080AF77;
        border-color: light-gray;
        border-radius: 15px;
        border-style: dashed;
        border-width: 1px;
    }
    div.car_place {
        background-image: url('img/tr_voiture_.png');
        background-size: 28px;
        fillOpacity: 0.5;
        background-repeat: no-repeat;
    }
  </style>
</%def>

<h2 class="shadow">Nous rejoindre ou nous joindre...</h2>

<div class="span10 offset1">
    <p>Le ${request.registry['event_date']}, d'o&ugrave; que vous veniez, tout est mis en place pour que vous
        puissiez vous rendre en toute simplicit&eacute; sur les lieux de l'&eacute;v&eacute;nement.
        <br> N'h&eacute;sitez pas à utiliser la section covoiturage de votre profil. Et
        pas de panique ! Demain, ce sera pire... </p>
    <p>
    <b>Si vous d&eacute;sirez devenir sponsor</b> de cet &eacute;v&eacute;nement du libre
    merci de prendre contact avec le staff (par mail de pr&eacute;f&eacute;rence) :
    </p>

</div>

<div class="row-fluid">
    <div class="span4 offset1">
        <h4>Le staff</h4>
            <dl>
               <dt>sur IRC</dt>
                  <dd>» #jm2l@irc.freenode.net</dd>
               <dt>par Mail</dt>
                  <dd>» contact at jm2l.linux-azur.org</dd>
               <dt>par T&eacute;l&eacute;phone</dt>
                  <dd>» +33 6 52 42 31 37</dd>
            </dl> 
    </div>
    <div class="span4 offset1">
        <h4>Le lieu</h4>
        <address>
            <strong>École&nbsp;</strong><strong>Polytech Nice-Sophia </strong> et <strong>Learning centre</strong><br>
                    930, route des Colles (site des Templiers)&nbsp;<br>
                    06903 Sophia Antipolis (Biot)
        </address>
            <p>GPS Lat.: 43°61'56.9"N - Lon.: 7°0'71.95"E</p>
    </div>
</div>
<div class="row-fluid">
    <div class="span8 offset2">
        <div id="come_map"></div>
        <script type="text/javascript">
            var map = L.map('come_map');
            // create the tile layer with correct attribution
            var osmUrl='//{s}.tile.openstreetmap.org/{z}/{x}/{y}.png';
            var osmAttrib='Map data © <a href="//openstreetmap.org">OpenStreetMap</a> contributors';
            var osm = new L.TileLayer(osmUrl, {minZoom: 7, maxZoom: 18, attribution: osmAttrib});
            map.setView(new L.LatLng(43.6137, 7.07502),16);
            marker = L.marker([43.61556, 7.07176], {
                icon: L.divIcon({ className: 'circle_place',
                iconSize: [30, 30] })}).addTo(map);
            marker.bindTooltip('Accueil<br/><b>JM2L</b>', {direction: 'top', offset:L.point(0, -10)}).openTooltip();
            map.addLayer(osm);
            // start the map on specified GPS Coords
            var car_route = L.Routing.control({
                autoRoute: false,
                show: false,
                waypoints: [ L.latLng([43.61201, 7.07812]), L.latLng([43.6144, 7.07326]) ],
                createMarker: function(i, wp) {
                    if (i==1) {
				        return L.marker(wp.latLng, {
				            icon: L.divIcon({ className: 'car_place', iconSize: [30, 30] })
				        }).bindTooltip('Parking P2 (conseill&eacute;)', {direction: 'right'})
				    } else {
				        return L.marker(wp.latLng).bindTooltip('Suivre Campus Poly\'tech', {direction: 'bottom'});
				    }
				}
            });
            car_route.route({geometryOnly: true});
            car_route.addTo(map);
        </script>
    </div>
</div>
<br>
<div class="row-fluid">
    <div class="span8 offset2">
        <div id="parking">
            <img src="/img/SophiaTech%20-%20plan.png" >
        </div>
    </div>
</div>

<br>
<div class="row-fluid">
  <div class="span10 offset1">
    <div class="tabbable" id="main_tab">
        <ul class="nav nav-tabs">
            <li class="active"><a href="#Trsp" data-toggle="tab"><img style="margin-bottom: -15px;" alt="en bus" src="/img/tr_bus_.png"> Bus</a></li>
            <li><a href="#Voiture" data-toggle="tab"><img style="margin-bottom: -15px;" alt="en voiture" src="/img/tr_voiture_.png"> Voiture</a></li>
            <li><a href="#Train" data-toggle="tab"><img style="margin-bottom: -15px;" alt="en train" src="/img/tr_train_.png"> Train</a></li>            
            <li><a href="#Avion" data-toggle="tab"><img style="margin-bottom: -15px;" alt="en avion" src="/img/tr_avion_.png"> Avion</a></li>      
        </ul>
         
        <div class="tab-content">
            <div class="tab-pane fade active in" id="Trsp">
                <h3>Bus</h3>
                    <h4> </h4>
                    <ul>
                        <li><a href="https://www.maregionsud.fr/uploads/media/tarif_2018.pdf">Les tarifs du coin</a> (pan) </li>
                    </ul>
                    <h4>Depuis Nice (dur&eacute;e&nbsp;: environ 30')&nbsp;:</h4>
                    <ul>
                        <li>Trajet sur la ligne Nice-Sophia Express&nbsp;:&nbsp;
                            <a href="https://www.departement06.fr/documents/A-votre-service/Deplacements/transports-en-commun/dpt06-transports_230-2017mars.pdf">ligne 230</a>
                        </li>
                        <li>Trajet sur la ligne Cagnes-Villeneuve-Biot-Sophia&nbsp;:&nbsp;
                            <a href="http://www.cg06.fr/document/?f=servir-les-habitants/fr/231.pdf">ligne 231</a>
                        </li>
                        <li>Trajet sur la ligne StLaurent-Cagnes-Sophia&nbsp;:&nbsp;
                            <a href="https://www.cg06.fr/documents/A-votre-service/Deplacements/transports-en-commun/232.pdf">ligne 232</a>
                        </li>
                        <li>Trajet sur la ligne Vence-StPaul-Valbonne-Sophia&nbsp;:&nbsp;
                            <a href="https://www.cg06.fr/documents/A-votre-service/Deplacements/transports-en-commun/233.pdf">ligne 233</a>
                            <ul>
                                <li>Arriv&eacute;e&nbsp;: descendre à l’arrêt lesTempliers (à 700m à pied) ou IUT (à 150m à pied)</li>
                            </ul>
                        </li>
                    </ul>
                    
                    <h4>Depuis Cannes (dur&eacute;e&nbsp;: environ 30')&nbsp;:</h4>
                    <ul>
                        <li>Trajet sur la ligne Cannes - Sophia Antipolis&nbsp;:&nbsp;
                            <a href="https://www.cg06.fr/documents/A-votre-service/Deplacements/transports-en-commun/630.pdf">ligne 630</a>
                            <ul>
                                <li>Arriv&eacute;e&nbsp;: descendre à l’arrêt des LesTempliers (à 700m à pied) ou IUT (à 150m à pied)</li>
                            </ul>
                        </li>
                    </ul>
                    
                    <h4>Depuis Antibes (dur&eacute;e&nbsp;: entre 10 et 30')&nbsp;:</h4>
                    <ul>
                        <li>Trajet sur la ligne Express (uniquement pour le vendredi)&nbsp;
                            <a href="http://www.envibus.fr/ligne_detail.asp?id=79&amp;id_commune=1">ligne 100</a>
                        </li>
                        <li>Trajet sur la&nbsp;
                            <a href="http://www.envibus.fr/ligne_detail.asp?id=1&amp;id_commune=1">ligne 1</a>
                        </li>
                        <li>Trajet sur la&nbsp;
                            <a href="http://www.envibus.fr/ligne_detail.asp?id=12&amp;id_commune=1">ligne 9</a>
                        </li>
                        <li>Trajet sur la&nbsp;
                            <a href="http://www.envibus.fr/ligne_detail.asp?id=14&amp;id_commune=1">ligne 11</a>
                            <ul>
                                <li>Arriv&eacute;e&nbsp;: descendre à l’arrêt Les Templiers (à 700m à pied) ou IUT (à 150m à pied)</li>
                            </ul>
                        </li>
                    </ul>
            </div>
            <div class="tab-pane fade in" id="Avion">            
                <h3>Avion</h3>
                <p>Des lignes r&eacute;gulières desservent l’a&eacute;roport de Nice Côte d’Azur
                depuis les grandes villes de France et d’Europe. Depuis Paris, 
                la Navette Air France a un d&eacute;part toutes les heures. Un service
                de taxis vous conduira à grands frais jusqu’à Polytech’Nice-Sophia. 
                Pensez à contacter la communaut&eacute; pour vous &eacute;viter ces frais.
                Quelqu’un pourra certainement vous r&eacute;cup&eacute;rer à l’a&eacute;roport et
                vous amener à Polytech’Nice-Sophia. Autrement, La soci&eacute;t&eacute;&nbsp;
                <a href="http://www.nice.aeroport.fr/acces_stationnement/bus/recherche.asp?lign_id=%7B3396BEE2-4ED0-4FAF-8E25-2F031FF4FE7E%7D">STCAR</a>&nbsp;
                propose une navette reliant l’a&eacute;roport de Nice directement à Sophia Antipolis via la navette.
                </p>
                <p><a href="http://www.cg06.fr/fr/servir-les-habitants/deplacements/transport-collectifs/lignes-et-horaires/lignes-et-horaires/">Site transports du conseil g&eacute;n&eacute;ral.</a></p>
                <ul>
                    <li>D&eacute;part&nbsp;: Terminal 1 ou 2</li>
                    <li>Arriv&eacute;e&nbsp;: descendre à l’arrêt Templiers (700m à pied) ou IUT (à 150m à pied)</li>
                </ul>
            </div>
            <div class="tab-pane fade in" id="Train">
                <h3>Train</h3>
                <p>La gare la plus proche est celle d’Antibes. Les&nbsp;
                    <a href="http://www.envibus.fr/ligne_detail.asp?id=1&amp;id_commune=1#">lignes de bus num&eacute;ro 1</a>,&nbsp;
                    <a href="http://www.envibus.fr/ligne_detail.asp?id=79&amp;id_commune=1">ligne de bus num&eacute;ro 100 (uniquement le vendredi)&nbsp;</a>
                    vous emmèneront depuis la gare (arret Passerelle SNCF) jusqu’à l’IUT de Sophia Antipolis. 
                    Polytech’Nice-Sophia partage le site avec l’IUT. Suivez les indications sur place.
                </p>
                <p>
                    Attention, des perturbations sont à pr&eacute;voir !
                </p>
            </div>
            <div class="tab-pane fade in" id="Voiture">
                <h3>Voiture</h3>
                <p>Par l’autoroute, prendre la sortie 44 Antibes ou Sophia, selon le sens de circulation. 
                Prendre direction Sophia Antipolis (la première route à droite après le p&eacute;age).</p>
                <p>Au rond point en bas de la Route des Chappes, suivre ensuite la direction Sophia Tech.</p>
                <p><a href="http://wiki.linux-azur.org/PlanJm2L">http://wiki.linux-azur.org/PlanJm2L</a></p>
                <p>Un&nbsp;<strong>flêchage de l’itin&eacute;raire</strong>&nbsp;noir sur fond jaune ou orange -
                JM2L - est en place pour vous guider à partir de la sortie 44 de l’autoroute A8.
                </p>
                <p>Pensez aussi au co-voiturage&nbsp;:-)&nbsp;
                <a href="http://www.covoiturage06.fr/">http://www.covoiturage06.fr/</a>
                </p>            
            </div>
            
            <div class="tab-pane fade in" id="Contact">

            </div>
        </div>
    </div>
  </div>
</div>


