## -*- coding: utf-8 -*-
<%inherit file="jm2l:templates/layout.mako"/>
<%namespace name="helpers" file="jm2l:templates/helpers.mako"/>
<%def name="jsAddOn()">
  <script src="/vendor/ckeditor/ckeditor.js"></script>
  <script src="/vendor/select2/js/select2.js"></script>
  <script src="/vendor/fileupload/js/jquery-uploader.min.js"></script>
</%def>
<%def name="cssAddOn()">
  <link rel="stylesheet" href="/vendor/select2/css/select2.css" type="text/css" media="screen" />
  <link rel="stylesheet" href="/vendor/fileupload/css/jquery.fileupload.css">
  <link rel="stylesheet" href="/vendor/fileupload/css/jquery.fileupload-ui.css">
  <link rel="stylesheet" href="/vendor/leaflet/css/leaflet.css" />  
  <!-- CSS adjustments for browsers with JavaScript disabled -->
  <noscript><link rel="stylesheet" href="/vendor/fileupload/css/jquery.fileupload-noscript.css"></noscript>
  <noscript><link rel="stylesheet" href="/vendor/fileupload/css/jquery.fileupload-ui-noscript.css"></noscript>  
</%def>
<% from datetime import datetime %>

<div class="row-fluid">
  <div class="span10 offset1">

<div id="SalleCarousel">
    ${helpers.show_salles( Salles, form.salle_uid.data or form.salle_uid.choices and form.salle_uid.choices[0][0] )}
</div>
% if event.for_year==CurrentYear and request.user and (request.user.Staff or request.user in event.intervenants):
	<a class="btn btn-danger  pull-right" type="button" onclick="return confirm_click();" href="${event.uid}/delete">
		<i class="icon-remove icon-white"></i> Supprimer
	</a>
%endif
% if 'uid' in form._fields:
    <div class="borderboxtime">
    ${event.start_time.strftime('%d %b %Y').decode('utf-8')} -
    ${event.start_time.strftime('%H:%M')} à ${event.end_time.strftime('%H:%M')}
    %if event.Salle:
        - <strong>Salle</strong>: ${event.Salle.name}
    %endif
    </div>
%endif
<h3 style="line-height:30px;" class="lowshadow">${form.event_type.data}</h3>

% if 'uid' in form._fields:
    <div class="borderbox">
        Intervenants programmés:
        <ul>
        % if event.intervenants.count()==0:
            <i><b>Aucun</b></i>
        % else:
            % for num, iterv in enumerate(event.intervenants):
                <li>
                    <strong><a href="/user/${iterv.slug}">${iterv.prenom} ${iterv.nom}</a></strong>. 
                    % if iterv.pseudo:
                        (${iterv.pseudo})
                    %endif
                </li>
            % endfor
        % endif
        </ul>
    </div>
        <a href="/event/${event.for_year}/${event.slug}" class="pull-right">Voir la version publiée de cet évènement</a>
<br clear="both">
%endif
<fieldset>
    <legend>Proposer un événement</legend>
    <form action="" method="POST">
        ${form.csrf_token}
        % if 'uid' in form._fields:
            ${form.uid}
        %endif
        ${form.start_time}
        ${form.end_time}

<%
DicForm = {
    'for_year':    {'PlaceHolder':u"Année",       'ContainerStyle':"padding-right:5px;float:left;",  },
    'event_type':  {'PlaceHolder':u"Nom",         'ContainerStyle':"padding-right:5px;",             },
    'start_sel':   {'PlaceHolder':u"Début",       'ContainerStyle':"padding-right:15px;float:left;", "FieldStyle":"width:15em;"},
    'duration':    {'PlaceHolder':u"Durée",       'ContainerStyle':"padding-right:15px;float:left;", "FieldStyle":"width:15em;"},
    'salle_uid':   {'PlaceHolder':u"Salle",       'ContainerStyle':"padding-right:15px;",            "FieldStyle":"width:15em;"},
    'name':        {'PlaceHolder':u"Nom",         'ContainerStyle':"padding-right:5px;",             "FieldStyle":"width:95%;"},
    'description': {'PlaceHolder':u"Description", 'ContainerStyle':"padding-right:5px;",             "FieldStyle":"width:90%;height:500px;", "ckeditor":1 },
    } 
%>

    ${helpers.DisplayForm(form, DicForm)}
    <br>
    <div class="center">
        <button class="btn btn-large btn-primary" type="submit">Proposer</button>
    </div>
    </form>
    
</fieldset>

    % if 'uid' in form._fields:
<fieldset>
    <legend>Vos supports de présentation</legend>
        <div style="float:right;width:60%">
            <p> En plus de vos supports de présentation classique.
            Pensez aussi aux affiches, aux flyers, aux stickers,
            au bulletin d'adhésion à une association, à la documentation technique...
            Tout ce qui peut être utile, de près ou de loin à la promotion de votre évènement.
            </p>
        </div>
        ${helpers.uploader("event", form.uid.data, u"un support de présentation" )}
</fieldset>
    %else:
        <p>NB: Vous devez proposer votre conférence avant de pouvoir
        téléverser votre support de présentation.
        </p>
    % endif

<%def name="callback_Del_Summary(Entity)"> \
	<a class="btn btn-danger btn-mini pull-right" type="button" onclick="return confirm_click();" href="delete_link_tiers?tid=${Entity.uid}&uid=${event.uid}">
		<i class="icon-remove icon-white"></i>
	</a>
</%def>

% if 'uid' in form._fields:

<fieldset>
    <legend id="Tiers">Indiquez l'entité dont vous faites la promotion :</legend>
    <p>
		${helpers.show_SummaryEntities( event.get_linked_tiers(), callback_Del_Summary )}

        <form action="/MesJM2L/${form.for_year.data}/${form.event_type.data.replace(' ', '_')}/link_tiers" method="POST">   
            ${formAddT.event_uid}
            <input type="hidden" id="tiers" name="tiers" style="width:20em;"
                class="form-control select2-offscreen" tabindex="-1">
            </input>
            <button type="submit" class="btn btn-primary" />
                <i class="icon-plus icon-white"></i> Ajouter cette entité
            </button>
        </form>
        NB : Notez que les entités séléctionnées apparaissent dans les exposants.

    </p>
</fieldset>


<fieldset>
    <legend>Ajouter vos co-intervenants</legend>
    <table>
      <tr>
    	<td>
		    <p>
		        Vous avez la possibilité d'être plusieurs pour un même évènement.<br>
		        Chacun des intervenants doit être inscrit sur le site.
		        <form action="/MesJM2L/${form.for_year.data}/${form.event_type.data.replace(' ', '_')}/link_user" method="POST">   
		            ${formAdd.event_uid}
		            <input type="hidden" id="intervenant" name="intervenant" style="width:20em;"
		                class="form-control select2-offscreen" tabindex="-1">
		            </input>
		            <button type="submit" class="btn btn-primary" />
		                <i class="icon-plus icon-white"></i> Ajouter cet intervenant
		            </button>
		        </form>
		        NB : Notez que les intervenants d'un même évenement ont tous les droits de modification.
		    </p>
		</td>
		<td>
        <u>Les Intervenants:</u>
        <ul>
        % if event.intervenants.count()==0:
            <i><b>Aucun</b></i>
        % else:
            % for num, iterv in enumerate(event.intervenants):
                <li style="height:2em">
                    <strong><a href="/user/${iterv.slug}">${iterv.prenom} ${iterv.nom}</a></strong>. 
                    % if iterv.pseudo:
                        (${iterv.pseudo})
                    %endif
                % if iterv!=request.user:
				<a class="btn btn-danger btn-mini" type="button" onclick="return confirm_click();" href="delete_link_user?uid=${iterv.uid}&eid=${event.uid}">
					<i class="icon-remove icon-white"></i>
				</a>
				%endif
                </li>
            % endfor
        % endif
        </ul>
		</td>
	</tr>
	</table>

</fieldset>
<div class="clearfix">&nbsp;</div>
    <p style="float:right;">Créé le ${event.created.strftime('%d %b %Y').decode('utf-8')}</p>
%else:
    <p style="float:right;">Créé le  
        ${datetime.now().strftime('%d %b %Y').decode('utf-8')}
    </p>
% endif
<br/>
<hr/>

  </div>
</div>

<%def name="jsAddOn()">
    <script src="/vendor/select2/js/select2.js"></script>
<script>
    jQuery(function() {
        $("#tiers").select2(
            {
                placeholder: 'Entrez ici votre entité',
                minimumInputLength: 2, allowClear: true,
                ajax: {
                    quietMillis: 250, url: "/json-tiers", dataType: 'json',
                    data: function (term, page) {
                        return { pageSize: 8, pageNum: page, searchTerm: term };
                    },
                    results: function (data, page) {
                        var more = (page * 8) < data.Total; 
                        return { results: data.Results, more: more };
                    }
                }
            });
        $("#intervenant").select2(
            {
                placeholder: 'Entrez ici un Nom ou un Prénom',
                minimumInputLength: 2, allowClear: true,
                ajax: {
                    quietMillis: 250, url: "/json-users", dataType: 'json',
                    data: function (term, page) {
                        return { pageSize: 8, pageNum: page, searchTerm: term };
                    },
                    results: function (data, page) {
                        var more = (page * 8) < data.Total; 
                        return { results: data.Results, more: more };
                    }
                }
            });
        $(document.body).on("change","#salle_uid",function(){
            $.ajax({
                url:'/salle_picture/' + this.value,
                success:function(result, status, jqXHR){
                    var pictureresult = $('<div />').append(result).find('#MyPictureCarousel').html();
                    var picturename = $('<div />').append(result).find('#CarName').html();
                    $('#MyPictureCarousel').html(pictureresult);
                    $('#CarName').html(picturename);
                },
                error:function(result, error){
                    alert(error);
                },        
            });
        });
    });
</script>
</%def>
<%
for jsitem in form._fields.keys():
    context._kwargs['postpone_js'].append( "$('#%s-help').popover();" % jsitem )
    if form._fields[jsitem].type=='SelectField':
        context._kwargs['postpone_js'].append( "$('#%s').select2({width:'resolve'});" % jsitem )
if formAdd:
    for jsitem in formAdd._fields.keys():
        context._kwargs['postpone_js'].append( "$('#%s-help').popover();" % jsitem )
%>
