# -*- coding: utf8 -*-
<%def name="Bienvenue(request, User)">

Bonjour ${User.prenom},

Vous venez de vous inscrire sur le site des JM2L et c'est une bonne idée :)

Pour accéder à votre espace il vous suffit dorénavant de cliquer sur le lien suivant :
${request.route_url('bymail', hash=User.my_hash)}

À partir de là vous avez la possibilité de :

 - inscrire votre stand pour la journée du ${request.registry['event_date']}
 - inscrire une conférence
 - inscrire un atelier
 - chercher/proposer du covoiturage
 - chercher/proposer un hébergement
 - vous faire rembourser vos frais
 - chercher proposer du matériel (câbles, etc)

Pour plus d'information vous pouvez vous connectez au site des JM2L : http://jm2l.linux-azur.org ou nous envoyer un mail à « contact at jm2l.linux-azur.org ». Et si vous êtes vraiment perdu vous pouvez toujours nous téléphoner au +33 6 52 42 31 37.

Nous vous attendons avec joie le ${request.registry['event_date']} à Sophia Antipolis pour fêter le libre et partager la connaissance, la bonne humeur et du soleil :)

L'équipe des JM2L

</%def> \
<%def name="Forgot(request, User)">

Bonjour ${User.pseudo or User.prenom},

Vous venez de demander le renvoi de vos identifiants sur le site des JM2L.

Pour accéder à votre espace il vous suffit dorénavant de cliquer sur le lien suivant :
${request.route_url('bymail', hash=User.my_hash)}.
N'hésitez pas à l'ajouter à vos liens favoris.

Vos identifiants de connexion :

Login: ${User.slug}
Password: ${User.password}

Vous êtes connecté : changez votre mot de passe sur votre fiche pour assurer votre sécurité :-)

Pour plus d'information vous pouvez nous envoyer un message à « contact at jm2l.linux-azur.org ».
Et si vous êtes vraiment perdu vous pouvez toujours nous téléphoner au +33 6 52 42 31 37.

Nous vous attendons avec joie le ${request.registry['event_date']} à Sophia Antipolis pour fêter le libre et partager la connaissance, la bonne humeur et du soleil :)

L'équipe des JM2L

</%def> \
<%def name="ShowTasks(request, User, Contact)">

Salut ${User.pseudo or User.prenom},

Les JM2L approchent à grand pas, il faut donc avancer sur les tâches d'organisation !

En se basant sur le travail qu'il reste à faire pour que tout se passe dans les meilleurs 
conditions lors de l'évènement ...

Voici ce qu'il y'a dans la liste des tâches qui te sont assignées:

% for t in sorted(User.task_assoc, key=lambda k:k.due_date):
	% if not t.closed:
 - Pour le ${t.due_date.strftime('%d %B %Y').decode('utf-8', 'xmlcharrefreplace')} - ${t.area.name} tâche ${t.uid}
	=> ${t.name}
      
	% endif
% endfor 

Et il y'a aussi des tâches communes !

% for t in sorted(Contact.task_assoc, key=lambda k:k.due_date):
	% if not t.closed and t.uid!=51:
 - Pour le ${t.due_date.strftime('%d %B %Y').decode('utf-8', 'xmlcharrefreplace')} - ${t.area.name} tâche ${t.uid}   
      => ${t.name}
      
	% endif
% endfor 

Pour accéder à ton espace il te suffit de cliquer sur le lien suivant :
${request.route_url('bymail', hash=User.my_hash)}.

% for t in filter(lambda k:k.uid==51, Contact.task_assoc):
	Nous avons fixé la prochaine réunion JM2L au ${t.due_date.strftime('%d %B').decode('utf-8', 'xmlcharrefreplace')} à 19h30.
% endfor 
	 

Bon courage

--  

Ceci est un mail automatisé ;)
Le site de l'équipe des JM2L !

</%def> \
% if action=='Welcome':
${self.Bienvenue(request, User)}
% elif action=='Forgot':
${self.Forgot(request, User)}
% elif action=='Tasks':
${self.ShowTasks(request, User, Contact)}
% endif
