<%inherit file="jm2l:templates/layout.mako"/>
<%namespace name="helpers" file="jm2l:templates/helpers.mako"/>
<%def name="jsAddOn()">
    <script src="/vendor/jquery.media/jquery.media.js"></script>
    <script type="text/javascript">
        $('a.media').media({width:480, height:360});
    </script>
</%def>
<div class="row-fluid">
  <div class="span10 offset1">
	<div id="SalleCarousel">
	    ${helpers.show_salles( Salles, event.Salle.salle_id )}
	</div>
    <strong>${event.event_type}</strong>: 
	<div class="borderboxtime">
		${event.start_time.strftime('%d %b %Y').decode('utf-8')} -
		${event.start_time.strftime('%H:%M')} à ${event.end_time.strftime('%H:%M')}
	</div> 
% if event.for_year==CurrentYear and request.user and (request.user.Staff or request.user in event.intervenants):
    <a href="/MesJM2L/${event.for_year}/${event.event_type.replace(' ', '_')}/${event.slug}">Modifier</a>
% elif request.user and request.user.Staff:
    <a href="/MesJM2L/${event.for_year}/${event.event_type.replace(' ', '_')}/${event.slug}">Editer</a>
% endif
<h3 style="line-height:30px;">${event.name}</h3>
% if event.description :
    <div class="borderbox">
        ${event.description | n}
    </div>
% else:
    <p>Cet évènement n'a pas de description.</p>
% endif
	  <div style="margin-top:10px;">
		${helpers.show_SummaryEntities( event.get_linked_tiers() )}
	  </div>
  </div>
</div>
<hr/>
<hr/>
% if event.presentation.count() and event.video.count():
    <div class="row-fluid">
      <div id="pres" class="span6">
    % for media in event.presentation:
        <div align="right">
            <a class="media" href="${media.get_path}">Présentation</a>
        </div>
        <div class="center">
            <a href="${media.get_path}"> Télécharger la présentation (${media.mime_type})</a>
        </div>
    % endfor
      </div>
      <div id="video" class="span6">
    % for media in event.video:
        <div align="left">
            <video width="80%" poster="" controls="controls" preload="metadata">
                <source type="${media.mime_type}" 
                    src="${media.get_path}" />
            </video> <br />
        </div>
        <div class="center">
            <a href="${media.get_path}"> Télécharger la vidéo (${media.mime_type})</a>
        </div>
    % endfor
      </div>
    </div>
% else:
    <div class="row-fluid">
      <div id="pres" class="span10 offset1">
    % for media in event.presentation:
        <div align="center">
            <a href="${media.get_path}"> Télécharger la présentation (${media.mime_type})</a><br>
            <a class="media" href="${media.get_path}">Présentation</a>
        </div>
    % endfor
      </div>
      <div id="video" class="span10 offset1">
    % for media in event.video:
        <div align="center">
            <a href="${media.get_path}"> Télécharger la vidéo (${media.mime_type})</a><br>
            <video width="90%" poster="" controls="controls" preload="metadata">
                <source type="${media.mime_type}" 
                    src="${media.get_path}" />
            </video> <br />
        </div>
    % endfor
      </div>
    </div>
% endif
<div class="row-fluid">
  <div class="span10 offset1">

% for iterv in event.intervenants:
<p>
    <div class="titleborderbox">
        Intervenant <a href="/user/${iterv.slug}"><strong>${iterv.prenom} ${iterv.nom}</strong>.</a> 
        % if iterv.pseudo:
            (${iterv.pseudo})
        %endif
    </div>
    <div class="media borderbox">
        ${helpers.show_pictures(iterv)}
        <div class="media-body">
            % if iterv.bio:
                ${iterv.bio | n}
            % else:
                <i>Ce profil n'a pas été complété.</i>
            % endif
        </div>
    </div>
    <div class="footborderbox">
        % if iterv.website:
            <div style="float:right;">
                <a href="${iterv.website}">${iterv.website}</a>
            </div>
        % endif
    </div>
</p>
% endfor
<div class="clearfix">&nbsp;</div>
<p style="float:right;">Créé le ${event.created.strftime('%d %b %Y').decode('utf-8')}</p>
<br/>
<hr/>
  </div>
</div>
